GET /luma/generations/{task_id}/download_video_url
Method: GETEndpoint: /luma/generations/{task_id}/download_video_url
This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Request Parameters
Path Parameters
text
task_id
string
RequiredHeader Parameters
text
Authorization
string
Required
Example:
Bearer {{YOUR_API_KEY}}
Content-Type
string
Required
Example:
application/jsonExample Request
Shell
bash
curl --location --request GET '/luma/generations//download_video_url' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"url": "https://dc53a917a6f427706a8ca3ecc7d70ea4.r2.cloudflarestorage.com/ai-lumalabs-storage-private/lit_lite_inference_text2vid_v1.0/1fa17995-f527-46a5-9796-294b453b8a7f/1fa17995-f527-46a5-9796-294b453b8a7f_raw_video_1_video006b20d61fd31411e99208caddb67c061.mp4?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=60bf44f30d45b472f9dd032de33e15d1%2F20240707%2Fauto%2Fs3%2Faws4_request&X-Amz-Date=20240707T160315Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=55dd4a936863559dfdd81708823eae8f07cb3dc3c4bcdde9fe6fb0d7c7fcb0be"
}